View Issue Details

IDProjectCategoryView StatusLast Update
0002190Industrial-Craft²machinespublic2018-05-28 18:42
ReporterJimmyZJXAssigned ToChocohead 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows 10OS VersionBuild 1607
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002190: Wind mill loses its rotor randomly
DescriptionSeveral Wind mill with carbon rotors are set with chunk loader configured. After some server crash/restart they do not behave well. Some of them may display in the GUI as a 100% health rotor, but actually they have worked for a period of time; others may vanish once the GUI of wind mill is opened, but the wind mill keeps working as usual; if client re-login to the server, the rotors can be seen rotating normally.

It is also noticed that opening the GUI multiple times might cause the vanish happen for a weird rotor.
Steps To ReproduceNot sure how to reproduce, but load/unload chunk or server crash/restart should cause the problem.
Additional InformationNBT data (screenshot) of the problematic rotors are attached. But I am not quite sure how the two bad rotors behave(kind of messed up with them), although there are one that would vanish, but the other one vanishes when I opened the windmill GUI (however, after just few minutes and several GUI opening, that rotor also vanishes).
NBT data of another good rotor is also attached.
TagsNo tags attached.
Minecraft Version1.11.2

Relationships

has duplicate 0002326 resolvedChocohead wind turbine's rotor disappears 
has duplicate 0002373 resolvedChocohead Kinetic turbines loose rotors 

Activities

JimmyZJX

2017-05-23 12:59

reporter  

rotors_nbt.zip (59,979 bytes)

Waz

2017-07-11 02:23

reporter   ~0005372

Probably the same situation: when right clicking on the wind turbine when the rotor is probably worn out (), it moves into the player inventory. Putting this rotor back into the turbine, it works again, apparently at 100% health, but will still pop out the same. Tested with carbon fibre rotors.

Sen

2017-11-01 20:24

reporter   ~0005465

Having the same issue. Server didn't even crash beforehand. Whenever I have a carbon rotor in a wind turbine, opening the turbine GUI shows there as being no rotor, and the rotor dissappears ingame, but the turbine keeps producing at full as though the rotor is still there. Further, after a short time ingame, the rotor reappears.

Chocohead

2018-05-28 18:42

developer   ~0005670

Finally fixed in IC2 2.8.81

Issue History

Date Modified Username Field Change
2017-05-23 12:59 JimmyZJX New Issue
2017-05-23 12:59 JimmyZJX File Added: rotors_nbt.zip
2017-07-11 02:23 Waz Note Added: 0005372
2017-11-01 20:24 Sen Note Added: 0005465
2018-02-23 03:09 Chocohead Relationship added has duplicate 0002326
2018-05-26 16:17 Chocohead Relationship added has duplicate 0002373
2018-05-28 18:42 Chocohead Assigned To => Chocohead
2018-05-28 18:42 Chocohead Status new => resolved
2018-05-28 18:42 Chocohead Resolution open => fixed
2018-05-28 18:42 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-05-28 18:42 Chocohead Note Added: 0005670